# module ActiveLdap::Validations::ClassMethods

### Public Instance Methods

attribute_method?(attribute) click to toggle source

    # File lib/active_ldap/validations.rb, line 7
    def attribute_method?(attribute)
      normalized_attribute = entry_attribute.normalize(attribute)
      normalized_attribute and normalized_attribute != "objectClass"
    end

### Private Instance Methods

entry_attribute() click to toggle source

    # File lib/active_ldap/validations.rb, line 13
    def entry_attribute
      @entry_attribute ||=
        connection.entry_attribute(classes.collect(&:name))
    end